Exception while getting info of backup

HaDeSz
2014-05-07
2015-08-18
  • HaDeSz

    HaDeSz - 2014-05-07

    Hello,
    first of all thank you for your work, i've getting this error if i run abe:

    $ java -jar abe.jar info backup_20140503.ab passwd
    Strong AES encryption enabled
    Magic: ANDROID BACKUP
    Version: 1
    Compressed: 1
    Algorithm: AES-256
    Exception in thread "main" java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:601)
    at org.eclipse.jdt.internal.jarinjarloader.JarRsrcLoader.main(JarRsrcLoader.java:58)
    Caused by: java.lang.RuntimeException: javax.crypto.BadPaddingException: Given final block not properly padded
    at org.nick.abe.AndroidBackup.infoBackup(AndroidBackup.java:183)
    at org.nick.abe.Main.main(Main.java:40)
    ... 5 more
    Caused by: javax.crypto.BadPaddingException: Given final block not properly padded
    at com.sun.crypto.provider.CipherCore.doFinal(CipherCore.java:811)
    at com.sun.crypto.provider.CipherCore.doFinal(CipherCore.java:676)
    at com.sun.crypto.provider.AESCipher.engineDoFinal(AESCipher.java:313)
    at javax.crypto.Cipher.doFinal(Cipher.java:2087)
    at org.nick.abe.AndroidBackup.infoBackup(AndroidBackup.java:110)
    ... 6 more

    Could we do anything with this?

    thanks,
    hadesz

     
  • dragomerlin

    dragomerlin - 2014-05-10

    Was the backup with password created with Kitkat? Because if so, the abe.jar need to be updated.

    If you can manage with source code you can test directly from developer the latest version compatible with kitkat:
    https://github.com/nelenkov/android-backup-extractor

    I'll update the abe.jar as soon as I can.

     
    Last edit: dragomerlin 2014-05-10
  • dragomerlin

    dragomerlin - 2014-06-06

    FIXED. New version is out with support for encrypted backups on android 4.4.

     
  • Keith

    Keith - 2014-11-15

    Have the same problem for lollipop, don't know whether update is needed,
    thanks.

     
  • dragomerlin

    dragomerlin - 2014-11-16

    Lollipop is a very recent release and is known to have some bugs. The original developer may add support for it.

     
    Last edit: dragomerlin 2014-11-16
  • dragomerlin

    dragomerlin - 2015-08-18

    Check now if works.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks